.build-vars: &build-vars
    - |
        echo "ENVIRONMENT_VARIABLE: $ENVIRONMENT"
        echo " CI_ENVIRONMENT_NAME: $CI_ENVIRONMENT_NAME"

stages:
  - test1
  - test2

test1:
  stage: test1
  environment:
    name: test1
  variables:
    ENVIRONMENT: 'test1'
  script:
    - *build-vars

test2:
  stage: test2
  environment:
    name: test2
  variables:
    ENVIRONMENT: 'test2'
  script:
    - *build-vars